package importantedto.growedto.umbrellaedto.butterflyedto.fraudedto.toweredto

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import importantedto.afteredto.constitutionaledto.Interferenceedto
import importantedto.gallonedto.Rideredto
import importantedto.gallonedto.Waitedto
import importantedto.growedto.umbrellaedto.Appleedto


class Braidedto : BroadcastReceiver() {
    override fun onReceive(p0: Context?, p1: Intent?) {
        Rideredto.event("alarm_push")
        val firstAlemtime = Waitedto.getInstance().getLong("firstAlemtime", 0L)
        if (firstAlemtime > 0) {
            val leatTime = System.currentTimeMillis()
            if (leatTime - firstAlemtime >= 1000 * 30 * 60) {
                Appleedto.sendNotification(Interferenceedto.context, "alarm")
            }
        }
        Waitedto.getInstance().put("firstAlemtime", System.currentTimeMillis())
        return
    }
}